<?php
	/***********************************************
		Class client
		
		But 					: 	créer une connexion avec un serveur TCP/IP
									et envoyer des trames
	
		Développeur	: 	LOS SANTOS Stéphane

		Version				:	089
	***********************************************/
	Class ClientTCPIP
	{
		/********************************************
			Attributs de la Class Client
		
		********************************************/
		private $ip;
		private $port;
		private $socket;
		
		/********************************************
			Constructeur
		********************************************/
		public function ClientTCPIP($ip,$port)
		{
			$this->ip = $ip;
			$this->port = $port;
			$this->socket = 0;
		}
		/********************************************
			Accesseurs de la Class Client
		********************************************/
		public function __get($attribut)
		{
			if(isset($this->$attribut))
			{
				return $this->$attribut;
			}
			else
			{
				die("erreur GET Class ClientTCPIP");
			}
		}
		/********************************************
			Mutateurs de la Class Client
		********************************************/
		public function __set($attribut,$valeur)
		{
			if(isset($this->$attribut))
			{
				$this->$attribut = $valeur;
			}
			else
			{
				die("erreur SET Class ClientTCPIP");
			}
		}
		/********************************************
			Méthode	:	creationSocket
	
			But			:	Créer la socket de communication avec le serveur TCP/IP
			
			Paramètre sortant	:	$this->socket
		********************************************/
		public function creationSocket()
		{
			//	Création de la socket
			$this->socket = socket_create(AF_INET,SOCK_STREAM,SOL_TCP);
			return $this->socket;
		}
		/********************************************
			Méthode	:	fermerSocket
	
			But			:	Fermer la socket de communication avec le serveur TCP/IP
		********************************************/		
		public function fermerSocket()
		{
			socket_close($this->socket);
		}
		/********************************************
			Méthode	:	connexion()
			
			paramètre sortant	:	TRUE=valide
												FALSE=invalide
		********************************************/
		public function connexion()
		{
			/***************************************
				Connexion au serveur TCP/IP
			***************************************/
			$resultat=socket_connect($this->socket,$this->ip,$this->port);
			return $resultat;
		}
		/********************************************
			Méthode	:	envoyer
			paramètres sortant	:	FALSE en cas d'erreur
												nb d'octets envoyés en cas de réussite
		********************************************/
		public function envoyer($trame)
		{
			$resultat=socket_write($this->socket,$trame,strlen($trame));
			return $resultat;
		}
		
		public function recevoir($timeout)
		{
			/* Prépare le tableau read (socket surveillées en lecture) */
			$read = array($this->socket);

			if (($num_changed_sockets = socket_select($read, $write = NULL, $except = NULL, $timeout)<=0)) 
			{
				/* Gestion des erreurs */
				return 0;
			} 
			
			$resultat = socket_read($this->socket,1024,PHP_BINARY_READ);	
			return $resultat;
			
		}
	}
?>
