/*************************************************
	
	Variable globale utilisable dans tout le projet
	
*************************************************/
var gEvenement = new gestionEvenement();
/*************************************************
	Class gestionEvenement
	But : permet d'ajouter, supprimer, ou supprimer le comportement par defaut des évenements d'un objet.
*************************************************/
function gestionEvenement()
{
	/**********************************************
		Méthode ajouter
		But : ajoute une fonction liée à un évenement sur un objet
		Paramètres : 
			- objet : objet sur lequel on va ajouter un comportement sur un évenement <type>
			- type : évenement pour lequel on va ajouter une fonction à éxecuter
			- fonction : fonction à éxecuter lors de l'évenement <type>
	**********************************************/
	this.ajouter = function(objet,type,fonction)
	{
		if(objet.attachEvent != null)
		{
			// l'ajout de 'on' est éffectué car Internet explorer gère les évenements dans le format onclick et non click comme pour mozilla
			objet.attachEvent('on'+type, fonction);
		}
		else
		{
			objet.addEventListener(type,fonction,true);
		}
	}
	/**********************************************
		Méthode supprimer
		But : supprime une fonction liée à un évenement sur un objet
		Paramètres : 
			- objet : objet sur lequel on va gérer son comportement sur un évenement <type>
			- type : évenement pour lequel on va supprimer la fonction <fonction>
			- fonction : fonction à éxecuter lors de l'évenement <type>
	***********************************************/
	this.supprimer = function(objet,type,fonction)
	{
		if(objet.detachEvent != null)
		{
			objet.detachEvent('on'+type, fonction);
		}
		else
		{
			objet.removeEventListener(type,fonction,true);
		}		
	}
	/**********************************************
		Méthode supprimerDefaut
		But : supprime la fonction par défaut liée à un évenement sur un objet
		Paramètres : 
			- objet : objet sur lequel on va gérer son comportement sur un évenement <type>
			- type : évenement pour lequel on va supprimer la fonction par défaut
	***********************************************/
	this.supprimerDefaut = function(objet,type)
	{
		if(objet.attachEvent != null)
		{
			return objet.attachEvent('on'+type, this.inihber);
		}
		else
		{
			return objet.addEventListener(type,this.inihber,true);
		}		
	}
	/***********************************************
		Méthode inihber
		But : inibhe l'évenement
	***********************************************/
	this.inihber=function(e)
	{
		if(e.preventDefault == null)
		{
			e.returnValue = false;
			return false;
		}
		else
		{
			e.preventDefault();
			return false;
		}		
		
	}
	/***********************************************
		Méthode objetCible
		But : récupère l'objet soumis à l'évenement
		Paramètres : 
			e : objet event
		retour :
			objet : objet ayant été soumis à l'évenement
	***********************************************/
	this.objetCible = function(e)
	{
		var objet = null;
		if(e.srcElement != null)
		{
			objet = e.srcElement;
		}
		else
		{
			objet = e.currentTarget;
		}	
		return objet;
	}

}
